package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHazMajRegWritRegorgMapper;
import com.goldenwater.slaj.hazard.domain.BisHazMajRegWritRegorg;
import com.goldenwater.slaj.hazard.service.IBisHazMajRegWritRegorgService;

/**
 * 备案核销机构关联 服务层实现
 */
@Service
public class BisHazMajRegWritRegorgServiceImpl implements IBisHazMajRegWritRegorgService {

    @Autowired
    private BisHazMajRegWritRegorgMapper bisHazMajRegWritRegorgMapper;

    /**
     * 查询备案核销机构关联信息
     * @param guid 查询条件
     * @return 备案核销机构关联信息
     */
    @Override
    public BisHazMajRegWritRegorg selectBisHazMajRegWritRegorgByGuid(String guid) {
        return bisHazMajRegWritRegorgMapper.selectBisHazMajRegWritRegorgByGuid(guid);
    }

    /**
     * 查询备案核销机构关联列表
     * @param bisHazMajRegWritRegorg 备案核销机构关联查询条件
     * @return 备案核销机构关联集合
     */
    @Override
    public List<BisHazMajRegWritRegorg> selectBisHazMajRegWritRegorgList(BisHazMajRegWritRegorg bisHazMajRegWritRegorg) {
        return bisHazMajRegWritRegorgMapper.selectBisHazMajRegWritRegorgList(bisHazMajRegWritRegorg);
    }

    /**
     * 新增备案核销机构关联
     * @param bisHazMajRegWritRegorg 备案核销机构关联信息
     * @return 影响行数
     */
    @Override
    public int insertBisHazMajRegWritRegorg(BisHazMajRegWritRegorg bisHazMajRegWritRegorg) {
        return bisHazMajRegWritRegorgMapper.insertBisHazMajRegWritRegorg(bisHazMajRegWritRegorg);
    }

    /**
     * 修改备案核销机构关联
     * @param bisHazMajRegWritRegorg 备案核销机构关联信息
     * @return 影响行数
     */
    @Override
    public int updateBisHazMajRegWritRegorg(BisHazMajRegWritRegorg bisHazMajRegWritRegorg) {
        return bisHazMajRegWritRegorgMapper.updateBisHazMajRegWritRegorg(bisHazMajRegWritRegorg);
    }

    /**
     * 删除备案核销机构关联
     * @param guid 备案核销机构关联主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHazMajRegWritRegorgByGuid(String guid) {
        return bisHazMajRegWritRegorgMapper.deleteBisHazMajRegWritRegorgByGuid(guid);
    }

    /**
     * 批量删除备案核销机构关联
     * @param guids 备案核销机构关联主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHazMajRegWritRegorgByGuids(String[] guids) {
        return bisHazMajRegWritRegorgMapper.deleteBisHazMajRegWritRegorgByGuids(guids);
    }
}
